Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.
Unity's version control component has been upgraded to Plastic SCM.

Update to 1.8.0 causes errors, cannot build or run

Discussion in 'Unity Collaborate' started by kurtiswoww, Aug 5, 2021.

  1. kurtiswoww

    kurtiswoww

    Joined:
    Oct 2, 2013
    Posts:
    16
    Hi, I just updated to 1.8.0 package, I believe I was on 1.3. Since updating I'm getting all these errors and am unable to build or play the project.

     
    GWKrxy likes this.
  2. kurtiswoww

    kurtiswoww

    Joined:
    Oct 2, 2013
    Posts:
    16
    Hi, can anyone take a look at this? I haven't been able to build my project for a few days.

    I need a solution to this and suppose others will as well as they update.

    Thanks.
     
  3. mcackerm

    mcackerm

    Joined:
    Sep 9, 2018
    Posts:
    3
    bump.

    I cannot publish or view history or anything when using collaborate 1.8.0. Exact same list of errors as in the picture.
     
    kurtiswoww likes this.
  4. kurtiswoww

    kurtiswoww

    Joined:
    Oct 2, 2013
    Posts:
    16
    Hi, I still cannot do anything with my project for over a week. I cannot run, build, anything.

    Can anyone at Unity verify and suggest a solution please?
     
  5. Xojong2

    Xojong2

    Joined:
    Sep 8, 2018
    Posts:
    3
    I had exactly same issue, and here is how I solved.
    (2020.3.4f1)

    1. What happened to us.

    When you tried to turn the collaborate service on, you see that collaborate package update is available.

    2021-08-17 16 10 11.png

    A button named "Install Latest Version" is so tempting to click. But you would never click this. Or you get 9 errors like below.

    2021-08-17 16 11 20.png

    At this moment, you cannot build project.

    2. How to fix this.

    To fix our project, I recommend to roll back the version of collaborate package.

    Open Package Manager. You can find it from Windows menu.

    2021-08-17 16 38 28.png

    Find Unity Collaborate package and just click the Remove button placed at the bottom right corner.
    This will make all your errors gone.

    After this, your collaborate page will look like below. current version is now N/A

    2021-08-17 16 13 35.png

    Finally, Open package manager again, find Unity Collaborate package.

    Click to see other versions..
    2021-08-17 16 13 59.png

    Important here, choose the right version this time.

    I tried all that listed. And only 1.3.9 [Verified] version works.

    Install the package and never update.
     
    Last edited: Aug 17, 2021
  6. pistoleta

    pistoleta

    Joined:
    Sep 14, 2017
    Posts:
    491
    I can't find Unity Collaborate in the package manager! :(

    Im stuck here, can't rollback Collab or do anything. This is some major problem
     
    Last edited: Aug 17, 2021
  7. kurtiswoww

    kurtiswoww

    Joined:
    Oct 2, 2013
    Posts:
    16
    @Xojong ty ty ty ty ty this worked!!!

    Although @pistoleta it's no longer called Collaborate, it's called Version Control.

    I just removed it, then installed the verified version "1.5.7" and cleared out the console and it ran again!!
     

    Attached Files:

  8. pistoleta

    pistoleta

    Joined:
    Sep 14, 2017
    Posts:
    491
    Yeah thats why I couldn't find it! Thanks!